Chuyển đến nội dung
Diễn đàn CADViet
FoJ

Nối Pline của diễn đàn bị lỗi

Các bài được khuyến nghị

em đã sử dụng lisp NN để nối Pline, nhưng sao với đời cad2007 em thấy hình như nó bị rơi vào 1 vòng lặp mà không có điểm dùng, chỉ có cách là endtask cái cad thôi, các bác giúp em được không ?

 

(defun c:nn (/ tdt ssdt sodt index)
(defun ObjName (ssdt /)
(cdr (assoc '0 (entget ssdt)))
)
(defun MoPL (ssdt /)
(= (cdr (assoc '70 (entget ssdt))) 0)
)
(defun NoiPL (ssdt /)
(if (MoPL ssdt)
(command ".PEDIT" ssdt "J" "All" "" "X")
)
)
(defun NoiLC (ssdt /)
(command ".PEDIT" ssdt "Y" "J" "All" "" "X")
)
(setq
tdt (ssget)
sodt (sslength tdt)
index 0
)
(repeat sodt
(setq
ssdt (ssname tdt index)
index (1+ index)
)
(if (or (= (Objname ssdt) "LWPOLYLINE")
(= (Objname ssdt) "POLYLINE")
)
(NoiPL ssdt)
)
(if (or (= (Objname ssdt) "LINE") (= (Objname ssdt) "ARC"))
(NoiLC ssdt)
)
)
(princ)
)

 

em không rành về lisp lắm chỉ biết ứng dụng thôi, còn các bác bảo em ngồi coding thì em chịu à, hì hì

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Không phải lặp đâu, do bản vẽ của bạn nhiều đối tượng quá.

 

Khi nối, bạn nên chọn ít đối tượng thì sẽ nhanh hơn. Lệnh NN sẽ tự tìm các đối tượng 'dính' với đối tượng được chọn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
không phải anh ạ, em đã thử với ít đối tượng cũng vậy mà

bạn có thể upload 1 file mà bạn dùng bị lỗi lên diễn đàn được không?

Tôi dùng thử thấy bình thường mà!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×